com.google.web.bindery.requestfactory.server

## Class UnexpectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.web.bindery.requestfactory.server.UnexpectedException

All Implemented Interfaces:
  java.io.Serializable

    class UnexpectedException
    extends java.lang.RuntimeException

Encapsulates exceptions that indicate something went wrong in RequestFactory code.

### Constructor Summary

Constructors
Constructor and Description
`UnexpectedException(java.lang.String msg, java.lang.Throwable cause)`
`UnexpectedException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnexpectedException

    public UnexpectedException(java.lang.String msg,
                               java.lang.Throwable cause)

#### UnexpectedException

    public UnexpectedException(java.lang.Throwable cause)